Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OutputStream Class Reference

出力ストリーム More...

`#include <OutputStream.h>`

Inheritance diagram for Lamp::OutputStream:

List of all members.

## Public Member Functions
| OutputStream ()
| コンストラクタ
virtual | ~OutputStream ()
| デストラクタ
## Protected Member Functions
virtual void | writeBytes (const void *data, int size)=0
| バイトデータの書き出し
virtual int | getSize ()=0
| サイズの取得
virtual void | skip (int size)=0
| スキップ
virtual int | align (int size)=0
| アライメントを取る
virtual int | getPosition ()=0
| 書き込み位置の取得
virtual void | setPosition (int position)=0
| 書き込み位置の設定
virtual void | flush ()=0
| フラッシュ
## Friends
class | Writer

## Detailed Description

出力ストリーム

Definition at line 34 of file OutputStream.h.

## Member Function Documentation

virtual int Lamp::OutputStream::align | ( | int | size | ) | `[protected, pure virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで0を書き出します。 Parameters:
  size | アライメントをとるバイト数
Returns: 0を書き出したバイト数 Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::align().

virtual void Lamp::OutputStream::flush | ( |  | ) | `[protected, pure virtual]`

| フラッシュ ストリームをフラッシュします。 Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::flush().

virtual int Lamp::OutputStream::getPosition | ( |  | ) | `[protected, pure virtual]`

| 書き込み位置の取得 Returns: 書き込み位置 Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::getPosition().

virtual int Lamp::OutputStream::getSize | ( |  | ) | `[protected, pure virtual]`

| サイズの取得 Returns: 書き込んだバイト数 Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::getSize().

virtual void Lamp::OutputStream::setPosition | ( | int | position | ) | `[protected, pure virtual]`

  | 書き込み位置の設定 指定された位置に書き込み位置を変更します。 Parameters:
  position | 書き込み位置
Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::setPosition().

virtual void Lamp::OutputStream::skip | ( | int | size | ) | `[protected, pure virtual]`

  | スキップ 指定されたバイト数、0を書き出します。 Parameters:
  size | 0を書き出すバイト数
Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::skip().

virtual void Lamp::OutputStream::writeBytes | ( | const void * | data,
|  | int | size
| ) | `[protected, pure virtual]`

  | バイトデータの書き出し Parameters:
  data | 書き出すバイトデータ
  size | 書き出すサイズ
Implemented in Lamp::FileOutputStream, and Lamp::MemoryOutputStream. Referenced by Lamp::Writer::writeBytes().

The documentation for this class was generated from the following file:

- OutputStream.h